Gets an exportable representation of a key into a file

- « openssl_pkey_export

- openssl_pkey_free »

- PHP Manual
- OpenSSL Functions
- Gets an exportable representation of a key into a file

# openssl_pkey_export_to_file

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

openssl_pkey_export_to_file — Gets an exportable representation of a key into a file

### Description

openssl_pkey_export_to_file(
#[\SensitiveParameter] OpenSSLAsymmetricKey|OpenSSLCertificate|array|string `$key`,
string `$output_filename`,
#[\SensitiveParameter] ?string `$passphrase` = `null`,
?array `$options` = `null`
): bool

openssl_pkey_export_to_file() saves an ascii-armoured (PEM encoded) rendition of `key` into the file named by `output_filename`.

> Note: You need to have a valid openssl.cnf installed for this function to operate correctly. See the notes under the installation section for more information.

### Parameters

`key`

`output_filename`

  Path to the output file.

`passphrase`

  The key can be optionally protected by a `passphrase`.

`options`

  `options` can be used to fine-tune the export process by specifying and/or overriding options for the openssl configuration file. See openssl_csr_new() for more information about `options`.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `key` accepts an OpenSSLAsymmetricKey or OpenSSLCertificate instance now; previously, a resource of type `OpenSSL key` or `OpenSSL X.509` was accepted.